Bug 148054 - Fixed width CSV import and "Text to Columns" function hidden columns' data is not hidden but trailing data may, or may get appended
Summary: Fixed width CSV import and "Text to Columns" function hidden columns' data is...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:7.4.0 target:7.3.3 target:7.2.7
Keywords: bibisectNotNeeded, needUITest, regression
Depends on:
Blocks:
 
Reported: 2022-03-17 16:15 UTC by jambica
Modified: 2022-03-21 09:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jambica 2022-03-17 16:15:31 UTC
1. Copy and Paste this data into a single column:
Expires 3/8/22
Expires 3/8/22
Expires 4/30/22

2. Select all three rows

3. Data -> Text to columns

4. Select Fixed Width

5. In 'Fields' Set a dividing mark at position 8, just before the Date in the data

6. Choose 'Hide' for the first column Type and 'Date (MDY)' for the second column.

7. Click the 'OK' button.

8. Observe: Data is not parsed, it's unchanged in the original column.
Comment 1 Commit Notification 2022-03-18 10:07:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6b768542ddd52573bbdb0e7b5b85ce5a9dd4551d

Resolves: tdf#148054 Advance offset for all columns, tdf#104927 regression

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2022-03-18 10:28:22 UTC
Pending review
https://gerrit.libreoffice.org/c/core/+/131605 for 7-3
https://gerrit.libreoffice.org/c/core/+/131606 for 7-2
Comment 3 Commit Notification 2022-03-19 19:25:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/1ec1e1b6f9353159376419d37ac8d8584312671e

Resolves: tdf#148054 Advance offset for all columns, tdf#104927 regression

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-03-21 09:51:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/479620d84a761297e013ca76fd429d938f3d2d8f

Resolves: tdf#148054 Advance offset for all columns, tdf#104927 regression

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.